curl --request POST \
--url https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "74383a30-aae8-41cc-af57-8c2ed3899c62",
"amount": {
"amount": "1000.00",
"currency": "USD"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers"
payload = {
"idempotencyKey": "74383a30-aae8-41cc-af57-8c2ed3899c62",
"amount": {
"amount": "1000.00",
"currency": "USD"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: '74383a30-aae8-41cc-af57-8c2ed3899c62',
amount: {amount: '1000.00', currency: 'USD'}
})
};
fetch('https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "2cbbce57-17b2-4133-8f63-3f2d81fc3332",
"amount": {
"amount": "50.00",
"currency": "USD"
},
"status": "requested",
"createDate": "2026-03-11T14:34:16.564923Z",
"updateDate": "2026-03-11T14:34:16.564923Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 3,
"message": "Forbidden"
}{
"code": 404,
"message": "Not found."
}{
"code": 409,
"message": "Conflicts with another request."
}Borrow against line of credit
Initiates a transfer (borrowing) against the line of credit.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of the credit line.
"01c39206-64e9-4e30-8649-4e187cfcbf6d"
Body
Request body for creating a new Managed Payments credit transfer (drawdown).
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
The amount and currency for the transfer. Currency must match the credit line currency.
Show child attributes
Show child attributes
Optional wallet ID to transfer funds to. If not specified, funds go to the master wallet.
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
Successfully created a credit transfer.
A Managed Payments credit transfer (drawdown) from the credit line.
Show child attributes
Show child attributes
Was this page helpful?